# Timecode Processor

A Python library for extracting, cleaning, and standardizing timecodes within text. This tool is designed to parse timecodes in various formats (e.g., `MM:SS`, `HH:MM:SS`), and filter them based on specified time bounds.

## Features

- **Timecode Extraction**: Finds and extracts timecodes and associated titles from blocks of text.
- **Timecode Conversion**: Converts timecodes from string format to seconds or formatted `timedelta`.
- **Standardization**: Standardizes time formats to a clean, unified format.
- **Filtering**: Filters timecodes within specified time bounds.
- **Text Cleaning**: Cleans unwanted patterns and trims whitespace.


## Installation

```bash
pip install ytbtimecodes
```
